=== modified file 'source/IAccessibleHandler.py'
--- source/IAccessibleHandler.py	2011-12-01 01:12:00 +0000
+++ source/IAccessibleHandler.py	2012-02-25 19:35:24 +0000
@@ -752,7 +752,7 @@
 def processShowWinEvent(window,objectID,childID):
 	className=winUser.getClassName(window)
 	#For now we only support 'show' event for tooltips as otherwize we get flooded
-	if className=="tooltips_class32" and objectID==winUser.OBJID_CLIENT:
+	if className in ("tooltips_class32", "MSBLPopupMsgWClass") and objectID==winUser.OBJID_CLIENT:
 		NVDAEvent=winEventToNVDAEvent(winUser.EVENT_OBJECT_SHOW,window,objectID,childID)
 		if NVDAEvent:
 			eventHandler.queueEvent(*NVDAEvent)

=== modified file 'source/appModules/msnmsgr.py'
--- source/appModules/msnmsgr.py	2011-05-07 08:01:31 +0000
+++ source/appModules/msnmsgr.py	2012-02-25 20:44:01 +0000
@@ -7,7 +7,7 @@
 
 import config
 import winUser
-from NVDAObjects.IAccessible import IAccessible 
+from NVDAObjects.IAccessible import IAccessible, Tooltip
 import controlTypes
 import oleacc
 import textInfos
@@ -44,6 +44,9 @@
 			clsList.insert(0, OldMSNHistory)
 		elif obj.windowClassName==u'WLXDUI' and obj.role==controlTypes.ROLE_ALERT and obj.IAccessibleStates&oleacc.STATE_SYSTEM_ALERT_MEDIUM:
 			clsList.insert(0, MSNHistory)
+		elif obj.windowClassName == "MSBLPopupMsgWClass":
+			# MSN alerts that apear as tooltips
+			clsList.insert(0, Tooltip)
 
 class OldMSNHistory(cursorManager.ReviewCursorManager,IAccessible):
 

